Bug 191334 - Save Autorecovery Info should be enabled by default ?
Save Autorecovery Info should be enabled by default ?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 17:40 EDT by Rik van Riel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-5.12.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 03:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2006-05-10 17:40:24 EDT
Description of problem:

document recovery does not actually recover documents, so could we please stop
pretending and at least get the annoying dialog out of the way ?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-05-11 03:55:26 EDT
The dialog does recover if the document was auto-saved from the timer of
"tools->options->Load/Save->General->Save Autorecovery Info every 15 minutes",
but unfortunately and crucially and annoyingly the document cannot be saved on
crash only on timer.

"Red Hat reviews and scrubs its code for intellectual property issues. Our
approach has always been conservative, i.e., if there is any question, resolve
the issue or remove the code.  Red Hat recently implemented a number of changes
in its distribution of OpenOffice to address such issues.  These changes should
not be construed as implying any immediate intellectual property problem;
rather, they have been implemented to assure that no such immediate problems
arise. While implementing these changes in our own distribution of OpenOffice,
we have also made them available upstream to the OpenOffice project."

yadda, yadda. Yes it sucks. Do I like the current situation ? no :-(
Comment 2 Rik van Riel 2006-05-11 09:12:20 EDT
I understand the position on crash auto-save not being possible, that's fine. 
However, if we disable that maybe we should disable the other autosave option by
default ?
Comment 3 Caolan McNamara 2006-05-11 10:10:02 EDT
Well we can do that, I was sure that the last time I looked at this that it was
enabled by default. Some defaults must have changed somewhere, but I can lock
down the preferred defaults.

modified, will hit next devel build and next FC-5 update if something else crops
up to justify a FC-5 update
Comment 4 Fedora Update System 2006-05-24 19:26:15 EDT
openoffice.org-2.0.2-5.12.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.